Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.api.engine.scheduling
Class DefaultReportJobValidator

    java.lang.Object
      com.jaspersoft.jasperserver.api.engine.scheduling.DefaultReportJobValidator

All Implemented Interfaces:
  ReportJobValidator

    public class DefaultReportJobValidator

extends java.lang.Object
implements ReportJobValidator

Version:
  $Id: DefaultReportJobValidator.java 10045 2007-09-13 14:10:10Z lucian $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)

Constructor Summary
`DefaultReportJobValidator()`

Method Summary
`protected void` | `addNotEmpty(ValidationErrors errors, java.lang.String field)`
`protected boolean` | `checkString(ValidationErrors errors, java.lang.String field, java.lang.String value, boolean mandatory, int maxLength)`
`RepositoryService` | `getRepository()`
`void` | `setRepository(RepositoryService repository)`
`protected void` | `validateCronHours(ValidationErrors errors, java.lang.String hours)`
`protected void` | `validateCronMinutes(ValidationErrors errors, java.lang.String minutes)`
`protected void` | `validateCronMonthDays(ValidationErrors errors, java.lang.String days)`
`protected void` | `validateFolderURI(ValidationErrors errors, java.lang.String folderURI)`
`ValidationErrors` | `validateJob(ExecutionContext context, ReportJob job)`
`protected void` | `validateJobCalendarTrigger(ValidationErrors errors, ReportJobCalendarTrigger trigger)`
`protected void` | `validateJobDetails(ValidationErrors errors, ReportJob job)`
`protected void` | `validateJobOutput(ValidationErrors errors, ReportJob job)`
`protected void` | `validateJobSimpleTrigger(ValidationErrors errors, ReportJobSimpleTrigger trigger)`
`protected void` | `validateJobTrigger(ValidationErrors errors, ReportJob job)`
`protected void` | `validateMailNotification(ValidationErrors errors, ReportJobMailNotification mailNotification)`
`protected void` | `validateReportURI(ValidationErrors errors, java.lang.String reportUnitURI)`
`protected void` | `validateRepositoryDestination(ValidationErrors errors, ReportJobRepositoryDestination repositoryDestination)`
`protected void` | `validateSource(ValidationErrors errors, ReportJobSource source)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultReportJobValidator

    public DefaultReportJobValidator()

Method Detail

### validateJob

    public ValidationErrors validateJob(ExecutionContext context,
                                        ReportJob job)

  Specified by:
    `validateJob` in interface `ReportJobValidator`

### validateJobDetails

    protected void validateJobDetails(ValidationErrors errors,
                                      ReportJob job)

### validateSource

    protected void validateSource(ValidationErrors errors,
                                  ReportJobSource source)

### validateReportURI

    protected void validateReportURI(ValidationErrors errors,
                                     java.lang.String reportUnitURI)

### validateJobTrigger

    protected void validateJobTrigger(ValidationErrors errors,
                                      ReportJob job)

### validateJobSimpleTrigger

    protected void validateJobSimpleTrigger(ValidationErrors errors,
                                            ReportJobSimpleTrigger trigger)

### validateJobCalendarTrigger

    protected void validateJobCalendarTrigger(ValidationErrors errors,
                                              ReportJobCalendarTrigger trigger)

### validateCronMinutes

    protected void validateCronMinutes(ValidationErrors errors,
                                       java.lang.String minutes)

### validateCronHours

    protected void validateCronHours(ValidationErrors errors,
                                     java.lang.String hours)

### validateCronMonthDays

    protected void validateCronMonthDays(ValidationErrors errors,
                                         java.lang.String days)

### validateJobOutput

    protected void validateJobOutput(ValidationErrors errors,
                                     ReportJob job)

### validateRepositoryDestination

    protected void validateRepositoryDestination(ValidationErrors errors,
                                                 ReportJobRepositoryDestination repositoryDestination)

### validateFolderURI

    protected void validateFolderURI(ValidationErrors errors,
                                     java.lang.String folderURI)

### validateMailNotification

    protected void validateMailNotification(ValidationErrors errors,
                                            ReportJobMailNotification mailNotification)

### checkString

    protected boolean checkString(ValidationErrors errors,
                                  java.lang.String field,
                                  java.lang.String value,
                                  boolean mandatory,
                                  int maxLength)

### addNotEmpty

    protected void addNotEmpty(ValidationErrors errors,
                               java.lang.String field)

### getRepository

    public RepositoryService getRepository()

### setRepository

    public void setRepository(RepositoryService repository)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.